package HL1Guns
{
	// ALL ALT FIRES
	function Armor::onTrigger(%this, %player, %slot, %val)
	{
		// Pistol Alt Fire
		if(%player.getMountedImage(0) $= HL1PistolImage.getID() && %slot $= 4 && $Pref::HL1Guns_PistolAltEnb)
		{
			if(%val)
			{
				%player.setImageLoaded(0, 0);
			}
			else
			{
				%player.setImageLoaded(0, 1);
			}
		}
		
		// MP5 Alt Fire
		if(%player.getMountedImage(0) $= HL1MP5Image.getID() && %slot $= 4)
		{
			if(%val)
			{
				%player.setImageLoaded(0, 0);
			}
			else
			{
				%player.setImageLoaded(0, 1);
			}
		}
		
		// Crossbow Alt Fire
		if(%player.getMountedImage(0) $= HL1CrossbowImage.getID() && %slot $= 4 && $Pref::HL1Guns_CrossAltEnb)
		{
			if(%val)
			{
				%player.setImageLoaded(0, 0);
			}
			else
			{
				%player.setImageLoaded(0, 1);
			}
		}
		
		// Shotgun Alt Fire
		if(%player.getMountedImage(0) $= HL1ShotgunImage.getID() && %slot $= 4 && $Pref::HL1Guns_ShotgunAltEnb)
		{
			if(%val && %player.HL1ShotgunRounds >= 2)
			{
				%player.setImageLoaded(0, 0);
			}
			else
			{
				%player.setImageLoaded(0, 1);
			}
		}
		
		// Crowbar Alt Fire
		if(%player.getMountedImage(0) $= HL1CrowbarImage.getID() && %slot $= 4)
		{
			if(%val)
			{
				%player.setImageLoaded(0, 0);
				%player.schedule(100, setImageLoaded, 0, 1);
			}
		}
		
		return Parent::onTrigger(%this, %player, %slot, %val);
	}
	
	function serverCmdLight(%client)
	{
		%player = %client.player;
		%image = %player.getMountedImage(0);
		
		if(%image.item.ghostToReload)
		{
			//%player.setImageAmmo(0, 0);
			if(!%image.handleReload(%player, 0))
				return Parent::serverCmdLight(%client);
		}
		else
		{
			Parent::serverCmdLight(%client);
		}
	}
	
	function Armor::onAdd(%this, %player)
	{
		Parent::onAdd(%this, %player);
		%player.HL1MP5Rounds = 50;
		%player.HL1PistolRounds = 18;
		%player.HL1ShotgunRounds = 8;
		%player.HL1CrossbowRounds = 5;
		%player.HL1357Rounds = 6;
	}
	
	// Taken from Swollow's SWEPs
	function Player::Emote(%player, %a, %b)
	{
		if(%player.getDatablock().isEmptyPlayer)
			return;
		Parent::Emote(%player, %a, %b);
	}
	function Armor::onDisabled(%data, %player, %bool)
	{
		if(%data.isEmptyPlayer)
			return;
		return Parent::onDisabled(%data, %player, %bool);
	}
	function Armor::onMount(%data, %player, %obj, %node)
	{
		if(%data.isEmptyPlayer)
			return;
		return Parent::onMount(%data, %player, %obj, %node);
	}
};
activatePackage(HL1Guns);